<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
<ui:composition template="/master.xhtml">
    <ui:define name="content">
        <h4>#{msgs['inetum.merch.shop.title']}</h4>
        <h:form id="merch-filter-form">
            <h:outputLabel for="filter" value="Filter by name"/>
            <h:inputText id="filter" value="#{merchBean.filter}">
                <f:ajax listener="#{merchBean.applyFilter()}"
                        execute="@this"
                        event="change"
                        render=":merch-table"/>
            </h:inputText>
        </h:form>
        <h:dataTable id="merch-table" value="#{merchBean.merch}" var="m">
            <h:column>
                <h:link value="#{m.name}"
                        outcome="#{m.class.simpleName.toLowerCase()}">
                    <f:param name="id" value="#{m.id}"/>
                </h:link>
            </h:column>
            <h:column>
                <h:outputText value="#{m.description}"/>
            </h:column>
            <h:column>
                <h:outputText value="#{m.price}">
                    <f:convertNumber type="currency"/>
                </h:outputText>
            </h:column>
        </h:dataTable>
    </ui:define>
</ui:composition>

</html>